Discover Government News



# Security update for python

Announcement ID: SUSE-SU-2024:0329-2  
Rating: moderate  
References:

  * bsc#1210638

  
Cross-References:

  * CVE-2023-27043

  
CVSS scores:

  * CVE-2023-27043 ( SUSE ):  5.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:N
  * CVE-2023-27043 ( NVD ):  5.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:N

  
Affected Products:

  * SUSE Linux Enterprise Desktop 15 SP4
  * SUSE Linux Enterprise High Performance Computing 15 SP4
  * SUSE Linux Enterprise Micro 5.3
  * SUSE Linux Enterprise Micro 5.4
  * SUSE Linux Enterprise Real Time 15 SP4
  * SUSE Linux Enterprise Server 15 SP4
  * SUSE Linux Enterprise Server for SAP Applications 15 SP4
  * SUSE Manager Proxy 4.3
  * SUSE Manager Retail Branch Server 4.3
  * SUSE Manager Server 4.3
  * SUSE Package Hub 15 15-SP4

  
  
An update that solves one vulnerability can now be installed.

## Description:

This update for python fixes the following issues:

  * CVE-2023-27043: Fixed incorrectly parses e-mail addresses which contain a
    special character (bsc#1210638).

## Patch Instructions:

To install this SUSE update use the SUSE recommended installation methods like
YaST online_update or "zypper patch".  
Alternatively you can run the command listed for your product:

  * SUSE Package Hub 15 15-SP4  
    zypper in -t patch SUSE-SLE-Module-Packagehub-Subpackages-15-SP4-2024-329=1

## Package List:

  * SUSE Package Hub 15 15-SP4 (aarch64 ppc64le s390x x86_64)
    * python-debuginfo-2.7.18-150000.60.1
    * python-base-debugsource-2.7.18-150000.60.1
    * python-devel-2.7.18-150000.60.1
    * python-xml-2.7.18-150000.60.1
    * python-curses-2.7.18-150000.60.1
    * python-2.7.18-150000.60.1
    * libpython2_7-1_0-2.7.18-150000.60.1
    * python-curses-debuginfo-2.7.18-150000.60.1
    * python-gdbm-debuginfo-2.7.18-150000.60.1
    * libpython2_7-1_0-debuginfo-2.7.18-150000.60.1
    * python-base-2.7.18-150000.60.1
    * python-base-debuginfo-2.7.18-150000.60.1
    * python-gdbm-2.7.18-150000.60.1
    * python-tk-debuginfo-2.7.18-150000.60.1
    * python-debugsource-2.7.18-150000.60.1
    * python-xml-debuginfo-2.7.18-150000.60.1
    * python-tk-2.7.18-150000.60.1

## References:

  * https://www.suse.com/security/cve/CVE-2023-27043.html
  * https://bugzilla.suse.com/show_bug.cgi?id=1210638

SUSE: 2024:0329-2 moderate: python

March 5, 2024
* bsc#1210638 Cross-References: * CVE-2023-27043

Summary

## This update for python fixes the following issues: * CVE-2023-27043: Fixed incorrectly parses e-mail addresses which contain a special character (bsc#1210638). ## Patch Instructions: To install this SUSE update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: * SUSE Package Hub 15 15-SP4 zypper in -t patch SUSE-SLE-Module-Packagehub-Subpackages-15-SP4-2024-329=1 ## Package List: * SUSE Package Hub 15 15-SP4 (aarch64 ppc64le s390x x86_64) * python-debuginfo-2.7.18-150000.60.1 * python-base-debugsource-2.7.18-150000.60.1 * python-devel-2.7.18-150000.60.1 * python-xml-2.7.18-150000.60.1 * python-curses-2.7.18-150000.60.1 * python-2.7.18-150000.60.1 * libpython2_7-1_0-2.7.18-150000.60.1 * python-curses-debuginfo-2.7.18-150000.60.1 * python-gdbm-debuginfo-2.7.18-150000.60.1 * libpython2_7-1_0-debuginfo-2.7.18-150000.60.1 * python-base-2.7.18-150000.60.1 * python-base-debuginfo-2.7.18-150000.60.1 * python-gdbm-2.7.18-150000.60.1 * python-tk-debuginfo-2.7.18-150000.60.1 * python-debugsource-2.7.18-150000.60.1 * python-xml-debuginfo-2.7.18-150000.60.1 * python-tk-2.7.18-150000.60.1

References

* bsc#1210638

Cross-

* CVE-2023-27043

CVSS scores:

* CVE-2023-27043 ( SUSE ): 5.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:N

* CVE-2023-27043 ( NVD ): 5.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:N

Affected Products:

* SUSE Linux Enterprise Desktop 15 SP4

* SUSE Linux Enterprise High Performance Computing 15 SP4

* SUSE Linux Enterprise Micro 5.3

* SUSE Linux Enterprise Micro 5.4

* SUSE Linux Enterprise Real Time 15 SP4

* SUSE Linux Enterprise Server 15 SP4

* SUSE Linux Enterprise Server for SAP Applications 15 SP4

* SUSE Manager Proxy 4.3

* SUSE Manager Retail Branch Server 4.3

* SUSE Manager Server 4.3

* SUSE Package Hub 15 15-SP4

An update that solves one vulnerability can now be installed.

##

* https://www.suse.com/security/cve/CVE-2023-27043.html

* https://bugzilla.suse.com/show_bug.cgi?id=1210638

Severity
Announcement ID: SUSE-SU-2024:0329-2
Rating: moderate

Related News